<?php

namespace App\Api;
use App\Gateway\TacticInfoGateway;

/**
 * API endpoint related to tactics
 */
class TacticEndpoint {
    private TacticInfoGateway $tactics;

    /**
     * @param TacticInfoGateway $tactics
     */
    public function __construct(TacticInfoGateway $tactics) {
        $this->tactics = $tactics;
    }


    public function update_name(int $tactic_id) {
        $request_body = file_get_contents('php://input');
        $data = json_decode($request_body);

        $new_name = $data->name;

        $this->tactics->update($tactic_id, $new_name);
    }

    public function new_tactic() {
        $request_body = file_get_contents('php://input');
        $data = json_decode($request_body);

        $initial_name = $data->name;
        $id = $this->tactics->insert($initial_name)->getId();

        echo "{id: $id}";
    }

    public function get_tactic_info(int $id) {
        $tactic_info = $this->tactics->get($id);
        echo json_encode($tactic_info);
    }

}